%define	major 2
%define libname	%mklibname zip %{major}
%define develname %mklibname zip -d

Summary:	A C library for reading, creating, and modifying zip archives
Name:		libzip
Version:	0.11.2
%define subrel	1
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.nih.at/libzip/
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.xz
Patch0:		libzip-0.11.1-fix_pkgconfig.patch
Patch1:		libzip-0.11.2-fix_headers.patch
Patch2:		libzip-0.11-php.patch
Patch3:		libzip-0.11.2-CVE-2015-2331.patch
BuildRequires:	libtool
BuildRequires:	zlib-devel

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{libname}
Summary:	A C library for reading, creating, and modifying zip archives
Group:          System/Libraries

%description -n	%{libname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{mklibname zip 1}-devel

%description -n	%{develname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

This package contains the static %{name} library and its header files.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# fix test return state
sed -i -e 's:19/2:19/0:' regress/open_nonarchive.test

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%files
%doc AUTHORS NEWS README THANKS TODO
%{_bindir}/zipcmp
%{_bindir}/zipmerge
%{_bindir}/ziptorrent
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*
%{_mandir}/man1/ziptorrent.1*

%files -n %{libname}
%doc AUTHORS NEWS README THANKS TODO
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzip.pc
%{_mandir}/man3/*


%changelog
* Fri Mar 20 2015 luigiwalser <luigiwalser> 0.11.2-1.1.mga4
+ Revision: 819000
- rediff patch from php to fix CVE-2015-2331
- 0.11.2
- rediff patch 1
- remove upstreamed portion of patch 2

* Mon Oct 21 2013 umeabot <umeabot> 0.11.1-2.mga4
+ Revision: 540664
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 0.11.1-1.mga4
+ Revision: 494136
- no test for now

  + luigiwalser <luigiwalser>
    - 0.11.1
    - rediff pkgconfig patch
    - update php patch (from fedora)
    - remove patches 3 and 4 (fixed upstream)

* Sat Jan 12 2013 cjw <cjw> 0.10.1-3.mga3
+ Revision: 360464
- patch4: fix tests with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 spuhler <spuhler> 0.10.1-2.mga3
+ Revision: 330707
- bumped rel for build mga3
  cleaned spec file for un-needed lines

* Mon Apr 09 2012 pterjan <pterjan> 0.10.1-1.mga2
+ Revision: 229840
- Fix decrypt code on x86_64 with zlib >= 1.2.5.1 (mga#5063)
- Drop obsolete scriptlets
- imported package libzip

  + luigiwalser <luigiwalser>
    - 0.10.1 (fix CVE-2012-1162 and CVE-2012-1163)
    - add patch 2 (fedora)

  + fwang <fwang>
    - add some gentoo patches to fix include headers

